"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manifest = void 0;
var core_js_1 = require("@web3api/core-js");
exports.manifest = {
    // TODO: use the schema.graphql
    // https://github.com/web3-api/monorepo/issues/101
    schema: "### Web3API Header START ###\nscalar UInt\nscalar UInt8\nscalar UInt16\nscalar UInt32\nscalar UInt64\nscalar Int\nscalar Int8\nscalar Int16\nscalar Int32\nscalar Int64\nscalar Bytes\nscalar BigInt\n\ndirective @imported(\n  uri: String!\n  namespace: String!\n  nativeType: String!\n) on OBJECT | ENUM\n\ndirective @imports(\n  types: [String!]!\n) on OBJECT\n### Web3API Header END ###\n\ntype Query implements Logger_Query @imports(\n  types: [\n    \"Logger_Query\",\n    \"Logger_LogLevel\"\n  ]\n) {\n  log(\n    level: Logger_LogLevel!\n    message: String!\n  ): Boolean!\n}\n\n### Imported Queries START ###\n\ntype Logger_Query @imported(\n  uri: \"w3://ens/logger.core.web3api.eth\",\n  namespace: \"Logger\",\n  nativeType: \"Query\"\n) {\n  log(\n    level: Logger_LogLevel!\n    message: String!\n  ): Boolean!\n}\n\n### Imported Queries END ###\n\n### Imported Objects START ###\n\nenum Logger_LogLevel @imported(\n  uri: \"w3://ens/logger.core.web3api.eth\",\n  namespace: \"Logger\",\n  nativeType: \"LogLevel\"\n) {\n  DEBUG\n  INFO\n  WARN\n  ERROR\n}\n\n### Imported Objects END ###\n",
    implements: [core_js_1.coreInterfaceUris.logger],
};
//# sourceMappingURL=manifest.js.map